> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/docs/help-and-debugging/custom-access-details.md).

# Custom Access Details

Add customized messages for your end users

In the Apono User Portal, an end user can request access to a resource. Upon connection, the end user sees the access details of the resource.

Apono provides instructions in the User Portal to explain how to start using the connected resource, along with CLI commands and related parameters.

In addition to the Apono-provided information, you can add custom access details in a **Message** box that appears in the User Portal. Custom access details allow you to convey all information the end user needs without disrupting the connection process.

Custom access details offer the following benefits:

* Streamline access management
* Communicate integration-specific information to end users
* Provide additional support resources

***

### Add custom access details

\[block:image] { "images": \[ { "image": \[ "<https://files.readme.io/ec8202e-image.png>", null, "Custom access details" ], "align": "center", "sizing": "80% ", "caption": "Custom access details" } ] } \[/block]

From the Apono UI, you can add custom access details to [new](https://docs.apono.io/docs/custom-access-details#new-integrations) or [existing integrations](https://docs.apono.io/docs/custom-access-details#existing-integrations). You can also add custom access details using [Terraform](https://docs.apono.io/docs/custom-access-details#terraform).

#### New integrations

Follow these steps to create a message with custom access details:

1. On the [**Catalog**](https://app.apono.io/catalog) page, select a resource to integrate. The **Connect Integration** page appears.
2. Under **Get more with Apono**, in the **Custom Access Details** field, enter your access detail instructions.

   > 📘
   >
   > This field is limited to **400 characters**.
3. (Optional) Click **Preview**. A preview tab appears displaying the end user’s view of the custom access details.
4. Complete the integration ([AWS](/docs/aws-environment/aws-integrations.md) | [Azure](/docs/azure-environment/azure-integrations.md) | [GCP](/docs/gcp-environment/gcp-integrations.md) | [Kubernetes](/docs/kubernetes-environment/kubernetes-integrations.md)).

#### Existing integrations

Follow these steps to create a message with custom access details:

1. On the [**Catalog**](https://app.apono.io/catalog) page, in the row of an integration, click **⋮ > Edit**. The **Edit Integration** page appears.
2. Under **Get more with Apono**, in the **Custom Access Details** field, enter your access detail instructions.

{% hint style="info" %}
This field is limited to **400 characters**.
{% endhint %}

3. (Optional) Click **Preview**. A preview tab appears displaying the end user’s view of the custom access details.
4. Click **Update**.

#### Terraform

Follow this step to add custom access details using Terraform:

1. Add the `custom_access_details` parameter to the `apono_integration` schema.

{% hint style="info" %}
For more information, learn how to [integrate with Apono](https://registry.terraform.io/providers/apono-io/apono/latest/docs/resources/integration) in the Terraform Registry.
{% endhint %}

<table><thead><tr><th width="210">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong>custom_access_details</strong> (string)</td><td><p>Custom access details message</p><p>This message will be displayed to end users upon accessing the integration.</p><p>The value of the parameter can be any plain text message up to <strong>400 characters</strong>.</p></td></tr></tbody></table>

```
resource "apono_integration" "postgresql_prod" {
  name                     = "DB Prod"
  type                     = "postgresql"
  connector_id             = "00000-1111-222222-33333-444444"
  connected_resource_types = ["postgresql-database", "postgresql-table"]
  custom_access_details    = "This is a custom access detail"
  metadata = {
    hostname = "prod-postgresql.us-east-1.internal.example.com"
    port     = "5432"
    dbname   = "postgres"
  }
  aws_secret = {
    region    = "us-east-1"
    secret_id = "arn:aws:secretsmanager:us-east-1:123456789012㊙/prod/postgresql/apono"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apono.io/docs/help-and-debugging/custom-access-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
